package com.docus.server.archive.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 病案基本信息
 * </p>
 *
 * @author jiashi
 * @since 2021-04-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "TBasic对象", description = "病案基本信息")
public class TBasic implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "病案主键")
    @TableId(value = "patient_id", type = IdType.ASSIGN_ID)
    private String patientId;


    @ApiModelProperty(value = "记账号")
    private String jzh;

    @ApiModelProperty(value = "病案号")
    private String inpatientNo;

    @ApiModelProperty(value = "住院次数")
    private Integer admissTimes;

    @ApiModelProperty(value = "患者姓名")
    private String name;

    @ApiModelProperty(value = "患者拼音首拼")
    private String nameSpell;

    @ApiModelProperty(value = "性别代码")
    private String sex;

    @ApiModelProperty(value = "性别名称")
    private String sexName;

    @ApiModelProperty(value = "住院日期")
    private Date admissDate;

    @ApiModelProperty(value = "住院科室")
    private String admissDept;

    @ApiModelProperty(value = "住院科室名称")
    private String admissDeptName;


    @ApiModelProperty(value = "床号")
    private String bedNo;

    @ApiModelProperty(value = "主管医生工号")
    private String attending;

    @ApiModelProperty(value = "主管医生姓名")
    private String attendingName;

    @ApiModelProperty(value = "年龄 岁")
    private Integer age;

    @ApiModelProperty(value = "年龄 月")
    private Integer ageMonth;

    @ApiModelProperty(value = "年龄 天")
    private Integer ageDay;


    @ApiModelProperty(value = "身份证")
    private String idCard;

    @ApiModelProperty(value = "联系方式 手机号")
    private String telphone;

    @ApiModelProperty(value = "出院日期")
    private Date disDate;

    @ApiModelProperty(value = "出院科室")
    private String disDept;

    @ApiModelProperty(value = "出院科室名称")
    private String disDeptName;

    @ApiModelProperty(value = "患者本次住院总费用")
    private String totalCost;

    @ApiModelProperty(value = "是否死亡 0 非死亡 1死亡")
    private Integer isDead;

    @ApiModelProperty(value = "记账卡号")
    private String jzCardNo;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "数据来源 1：需质控归档")
    private Integer fileSource;

}
