package com.docus.server.archive.rpc.dto;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 患者基础信息
 *
 * @author WYBDEV
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
@ApiModel(value = "患者信息")
public class PatientInfoDTO {
    @ApiModelProperty(value = "病案主键")
    private String patientId;
    @ApiModelProperty(value = "住院号")
    private String inpatientNo;
    @ApiModelProperty(value = "住院次数")
    private Integer admissTimes;
    @ApiModelProperty(value = "入院日期 yyyy-MM-dd HH:mm:ss")
    private String admissDate;
    @ApiModelProperty(value = "入院科室名称")
    private String admissDeptName;
    @ApiModelProperty(value = "出院日期 yyyy-MM-dd HH:mm:ss")
    private String disDate;
    @ApiModelProperty(value = "出院科室名称")
    private String disDeptName;
    @ApiModelProperty(value = "记账号")
    private String jzh;
    @ApiModelProperty(value = "姓名")
    private String name;
    @ApiModelProperty(value = "住院id")
    private String admissId;
}
