package com.docus.server.archive.service;

import com.docus.server.archive.entity.TBasic;

import java.util.List;

/**
 * @author YongBin Wen
 * @date 2024/3/27 16:25
 */
public interface PatientInfoSyncService {

    /**
     * 同步在院数据
     * @date 2024/3/27 16:56
     * @author YongBin Wen
     */
    void syncInHospitalData();
    /**
     *
     * 根据时间和页码同步出院数据
     * @param startDateTime 开始时间
     * @param endDateTime 结束时间
     * @param pageNumber 页码
     * @param pageSize 页大小
     * @return int 同步出院数据数量
     */
    int syncDischargeData(String startDateTime, String endDateTime, Integer pageNumber, Integer pageSize);

    void insertOrUpdate(List<TBasic> tBasicList);
}
