package com.docus.server.fsy.api;

import com.docus.server.fsy.api.dto.LisPatientGroupReportRequest;
import com.docus.server.fsy.api.dto.LisPatientGroupReportResponse;
import com.docus.server.fsy.api.dto.LisPatientListRequest;
import com.docus.server.fsy.api.dto.LisPatientListResponse;
import com.docus.server.fsy.api.dto.LisPatientReportRequest;
import com.docus.server.fsy.api.dto.LisPatientReportResponse;

/**
 * @author YongBin Wen
 * @date 2024/3/29 10:20
 */
public interface LisReportService {

    /**
     * 获取检验列表
     *
     * @param request 参数
     * @return 检验列表
     */
    LisPatientListResponse getPatientList(LisPatientListRequest request);


    /**
     * 获取PDF报告
     *
     * @param request 参数
     * @return 报告信息
     */
    LisPatientReportResponse getPatientReport(LisPatientReportRequest request);

    /**
     * 获取PDF报告
     *
     * @param request 参数
     * @return 报告信息
     */
    LisPatientGroupReportResponse getPatientGroupReport(LisPatientGroupReportRequest request);
}
