package com.docus.server.fsy.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.docus.server.fsy.entity.JswzhPatientInfoView;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author YongBin Wen
 * @date 2024/3/27 15:55
 */
@DS("fsy")
public interface JswzhPatientInfoViewMapper {
    /**
     * 获取全部在院数据
     */
    List<JswzhPatientInfoView> getInHospital();

    /**
     * 根据出院时间范围(yyyy-MM-dd HH:mm:ss)，分页 获取出院数据
     * @param startRow oracle ROWNUM 起始
     * @param endRow oracle ROWNUM 结束(包含)
     */
    List<JswzhPatientInfoView> getDischarge(@Param("disDateBegin") String disDateBegin, @Param("disDateEnd") String disDateEnd, @Param("startRow") int startRow, @Param("endRow") int endRow);
}
